﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DataSet1" targetNamespace="http://tempuri.org/DataSet1.xsd" xmlns:mstns="http://tempuri.org/DataSet1.xsd" xmlns="http://tempuri.org/DataSet1.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="ConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="ConnectionString (Settings)" PropertyReference="ApplicationSettings.EFL.SqlLite.Properties.Settings.GlobalReference.Default.ConnectionString" Provider="System.Data.Odbc" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="departmentsTableAdapter" GeneratorDataComponentClassName="departmentsTableAdapter" Name="departments" UserDataComponentName="departmentsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="ConnectionString (Settings)" DbObjectName="departments" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM "departments" WHERE (("dept_no" = ?) AND ("dept_name" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_name" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO "departments" ("dept_no", "dept_name") VALUES (?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "dept_no", "dept_name" FROM "departments"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE "departments" SET "dept_no" = ?, "dept_name" = ? WHERE (("dept_no" = ?) AND ("dept_name" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_name" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="dept_no" DataSetColumn="dept_no" />
              <Mapping SourceColumn="dept_name" DataSetColumn="dept_name" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="titlesTableAdapter" GeneratorDataComponentClassName="titlesTableAdapter" Name="titles" UserDataComponentName="titlesTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="ConnectionString (Settings)" DbObjectName="titles" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM "titles" WHERE (("emp_no" = ?) AND ("title" = ?) AND ("from_date" = ?) AND ((? = 1 AND "to_date" IS NULL) OR ("to_date" = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_title" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_to_date" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO "titles" ("emp_no", "title", "from_date", "to_date") VALUES (?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="title" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "emp_no", "title", "from_date", "to_date" FROM "titles"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE "titles" SET "emp_no" = ?, "title" = ?, "from_date" = ?, "to_date" = ? WHERE (("emp_no" = ?) AND ("title" = ?) AND ("from_date" = ?) AND ((? = 1 AND "to_date" IS NULL) OR ("to_date" = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="title" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_title" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_to_date" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="emp_no" DataSetColumn="emp_no" />
              <Mapping SourceColumn="title" DataSetColumn="title" />
              <Mapping SourceColumn="from_date" DataSetColumn="from_date" />
              <Mapping SourceColumn="to_date" DataSetColumn="to_date" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="dept_empTableAdapter" GeneratorDataComponentClassName="dept_empTableAdapter" Name="dept_emp" UserDataComponentName="dept_empTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="ConnectionString (Settings)" DbObjectName="dept_emp" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM "dept_emp" WHERE (("emp_no" = ?) AND ("dept_no" = ?) AND ("from_date" = ?) AND ("to_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO "dept_emp" ("emp_no", "dept_no", "from_date", "to_date") VALUES (?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "emp_no", "dept_no", "from_date", "to_date" FROM "dept_emp"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE "dept_emp" SET "emp_no" = ?, "dept_no" = ?, "from_date" = ?, "to_date" = ? WHERE (("emp_no" = ?) AND ("dept_no" = ?) AND ("from_date" = ?) AND ("to_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="emp_no" DataSetColumn="emp_no" />
              <Mapping SourceColumn="dept_no" DataSetColumn="dept_no" />
              <Mapping SourceColumn="from_date" DataSetColumn="from_date" />
              <Mapping SourceColumn="to_date" DataSetColumn="to_date" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="dept_managerTableAdapter" GeneratorDataComponentClassName="dept_managerTableAdapter" Name="dept_manager" UserDataComponentName="dept_managerTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="ConnectionString (Settings)" DbObjectName="dept_manager" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM "dept_manager" WHERE (("dept_no" = ?) AND ("emp_no" = ?) AND ("from_date" = ?) AND ("to_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO "dept_manager" ("dept_no", "emp_no", "from_date", "to_date") VALUES (?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "dept_no", "emp_no", "from_date", "to_date" FROM "dept_manager"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE "dept_manager" SET "dept_no" = ?, "emp_no" = ?, "from_date" = ?, "to_date" = ? WHERE (("dept_no" = ?) AND ("emp_no" = ?) AND ("from_date" = ?) AND ("to_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_dept_no" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="dept_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="dept_no" DataSetColumn="dept_no" />
              <Mapping SourceColumn="emp_no" DataSetColumn="emp_no" />
              <Mapping SourceColumn="from_date" DataSetColumn="from_date" />
              <Mapping SourceColumn="to_date" DataSetColumn="to_date" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="employeesTableAdapter" GeneratorDataComponentClassName="employeesTableAdapter" Name="employees" UserDataComponentName="employeesTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="ConnectionString (Settings)" DbObjectName="employees" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM "employees" WHERE (("emp_no" = ?) AND ("birth_date" = ?) AND ("first_name" = ?) AND ("last_name" = ?) AND ("gender" = ?) AND ("hire_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_birth_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="birth_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_first_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="first_name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_last_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="last_name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_gender" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="gender" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_hire_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="hire_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO "employees" ("emp_no", "birth_date", "first_name", "last_name", "gender", "hire_date") VALUES (?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="birth_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="birth_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="first_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="first_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="last_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="last_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="gender" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="gender" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="hire_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="hire_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "emp_no", "birth_date", "first_name", "last_name", "gender", "hire_date" FROM "employees"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE "employees" SET "emp_no" = ?, "birth_date" = ?, "first_name" = ?, "last_name" = ?, "gender" = ?, "hire_date" = ? WHERE (("emp_no" = ?) AND ("birth_date" = ?) AND ("first_name" = ?) AND ("last_name" = ?) AND ("gender" = ?) AND ("hire_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="birth_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="birth_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="first_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="first_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="last_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="last_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="gender" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="gender" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="hire_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="hire_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_birth_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="birth_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_first_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="first_name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_last_name" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="last_name" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="Original_gender" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="gender" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_hire_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="hire_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="emp_no" DataSetColumn="emp_no" />
              <Mapping SourceColumn="birth_date" DataSetColumn="birth_date" />
              <Mapping SourceColumn="first_name" DataSetColumn="first_name" />
              <Mapping SourceColumn="last_name" DataSetColumn="last_name" />
              <Mapping SourceColumn="gender" DataSetColumn="gender" />
              <Mapping SourceColumn="hire_date" DataSetColumn="hire_date" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="salariesTableAdapter" GeneratorDataComponentClassName="salariesTableAdapter" Name="salaries" UserDataComponentName="salariesTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="ConnectionString (Settings)" DbObjectName="salaries" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM "salaries" WHERE (("emp_no" = ?) AND ("salary" = ?) AND ("from_date" = ?) AND ("to_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_salary" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="salary" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO "salaries" ("emp_no", "salary", "from_date", "to_date") VALUES (?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="salary" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="salary" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "emp_no", "salary", "from_date", "to_date" FROM "salaries"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE "salaries" SET "emp_no" = ?, "salary" = ?, "from_date" = ?, "to_date" = ? WHERE (("emp_no" = ?) AND ("salary" = ?) AND ("from_date" = ?) AND ("to_date" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="salary" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="salary" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_emp_no" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="emp_no" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_salary" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="salary" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_from_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="from_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_to_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="to_date" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="emp_no" DataSetColumn="emp_no" />
              <Mapping SourceColumn="salary" DataSetColumn="salary" />
              <Mapping SourceColumn="from_date" DataSetColumn="from_date" />
              <Mapping SourceColumn="to_date" DataSetColumn="to_date" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DataSet1" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DataSet1" msprop:Generator_UserDSName="DataSet1">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="departments" msprop:Generator_TableClassName="departmentsDataTable" msprop:Generator_TableVarName="tabledepartments" msprop:Generator_TablePropName="departments" msprop:Generator_RowDeletingName="departmentsRowDeleting" msprop:Generator_RowChangingName="departmentsRowChanging" msprop:Generator_RowEvHandlerName="departmentsRowChangeEventHandler" msprop:Generator_RowDeletedName="departmentsRowDeleted" msprop:Generator_UserTableName="departments" msprop:Generator_RowChangedName="departmentsRowChanged" msprop:Generator_RowEvArgName="departmentsRowChangeEvent" msprop:Generator_RowClassName="departmentsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="dept_no" msprop:Generator_ColumnVarNameInTable="columndept_no" msprop:Generator_ColumnPropNameInRow="dept_no" msprop:Generator_ColumnPropNameInTable="dept_noColumn" msprop:Generator_UserColumnName="dept_no">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="4" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="dept_name" msprop:Generator_ColumnVarNameInTable="columndept_name" msprop:Generator_ColumnPropNameInRow="dept_name" msprop:Generator_ColumnPropNameInTable="dept_nameColumn" msprop:Generator_UserColumnName="dept_name">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="40" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="titles" msprop:Generator_TableClassName="titlesDataTable" msprop:Generator_TableVarName="tabletitles" msprop:Generator_TablePropName="titles" msprop:Generator_RowDeletingName="titlesRowDeleting" msprop:Generator_RowChangingName="titlesRowChanging" msprop:Generator_RowEvHandlerName="titlesRowChangeEventHandler" msprop:Generator_RowDeletedName="titlesRowDeleted" msprop:Generator_UserTableName="titles" msprop:Generator_RowChangedName="titlesRowChanged" msprop:Generator_RowEvArgName="titlesRowChangeEvent" msprop:Generator_RowClassName="titlesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="emp_no" msprop:Generator_ColumnVarNameInTable="columnemp_no" msprop:Generator_ColumnPropNameInRow="emp_no" msprop:Generator_ColumnPropNameInTable="emp_noColumn" msprop:Generator_UserColumnName="emp_no" type="xs:int" />
              <xs:element name="title" msprop:Generator_ColumnVarNameInTable="columntitle" msprop:Generator_ColumnPropNameInRow="title" msprop:Generator_ColumnPropNameInTable="titleColumn" msprop:Generator_UserColumnName="title">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="from_date" msprop:Generator_ColumnVarNameInTable="columnfrom_date" msprop:Generator_ColumnPropNameInRow="from_date" msprop:Generator_ColumnPropNameInTable="from_dateColumn" msprop:Generator_UserColumnName="from_date" type="xs:dateTime" />
              <xs:element name="to_date" msprop:Generator_ColumnVarNameInTable="columnto_date" msprop:Generator_ColumnPropNameInRow="to_date" msprop:Generator_ColumnPropNameInTable="to_dateColumn" msprop:Generator_UserColumnName="to_date" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="dept_emp" msprop:Generator_TableClassName="dept_empDataTable" msprop:Generator_TableVarName="tabledept_emp" msprop:Generator_TablePropName="dept_emp" msprop:Generator_RowDeletingName="dept_empRowDeleting" msprop:Generator_RowChangingName="dept_empRowChanging" msprop:Generator_RowEvHandlerName="dept_empRowChangeEventHandler" msprop:Generator_RowDeletedName="dept_empRowDeleted" msprop:Generator_UserTableName="dept_emp" msprop:Generator_RowChangedName="dept_empRowChanged" msprop:Generator_RowEvArgName="dept_empRowChangeEvent" msprop:Generator_RowClassName="dept_empRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="emp_no" msprop:Generator_ColumnVarNameInTable="columnemp_no" msprop:Generator_ColumnPropNameInRow="emp_no" msprop:Generator_ColumnPropNameInTable="emp_noColumn" msprop:Generator_UserColumnName="emp_no" type="xs:int" />
              <xs:element name="dept_no" msprop:Generator_ColumnVarNameInTable="columndept_no" msprop:Generator_ColumnPropNameInRow="dept_no" msprop:Generator_ColumnPropNameInTable="dept_noColumn" msprop:Generator_UserColumnName="dept_no">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="4" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="from_date" msprop:Generator_ColumnVarNameInTable="columnfrom_date" msprop:Generator_ColumnPropNameInRow="from_date" msprop:Generator_ColumnPropNameInTable="from_dateColumn" msprop:Generator_UserColumnName="from_date" type="xs:dateTime" />
              <xs:element name="to_date" msprop:Generator_ColumnVarNameInTable="columnto_date" msprop:Generator_ColumnPropNameInRow="to_date" msprop:Generator_ColumnPropNameInTable="to_dateColumn" msprop:Generator_UserColumnName="to_date" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="dept_manager" msprop:Generator_TableClassName="dept_managerDataTable" msprop:Generator_TableVarName="tabledept_manager" msprop:Generator_TablePropName="dept_manager" msprop:Generator_RowDeletingName="dept_managerRowDeleting" msprop:Generator_RowChangingName="dept_managerRowChanging" msprop:Generator_RowEvHandlerName="dept_managerRowChangeEventHandler" msprop:Generator_RowDeletedName="dept_managerRowDeleted" msprop:Generator_UserTableName="dept_manager" msprop:Generator_RowChangedName="dept_managerRowChanged" msprop:Generator_RowEvArgName="dept_managerRowChangeEvent" msprop:Generator_RowClassName="dept_managerRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="dept_no" msprop:Generator_ColumnVarNameInTable="columndept_no" msprop:Generator_ColumnPropNameInRow="dept_no" msprop:Generator_ColumnPropNameInTable="dept_noColumn" msprop:Generator_UserColumnName="dept_no">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="4" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="emp_no" msprop:Generator_ColumnVarNameInTable="columnemp_no" msprop:Generator_ColumnPropNameInRow="emp_no" msprop:Generator_ColumnPropNameInTable="emp_noColumn" msprop:Generator_UserColumnName="emp_no" type="xs:int" />
              <xs:element name="from_date" msprop:Generator_ColumnVarNameInTable="columnfrom_date" msprop:Generator_ColumnPropNameInRow="from_date" msprop:Generator_ColumnPropNameInTable="from_dateColumn" msprop:Generator_UserColumnName="from_date" type="xs:dateTime" />
              <xs:element name="to_date" msprop:Generator_ColumnVarNameInTable="columnto_date" msprop:Generator_ColumnPropNameInRow="to_date" msprop:Generator_ColumnPropNameInTable="to_dateColumn" msprop:Generator_UserColumnName="to_date" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="employees" msprop:Generator_TableClassName="employeesDataTable" msprop:Generator_TableVarName="tableemployees" msprop:Generator_TablePropName="employees" msprop:Generator_RowDeletingName="employeesRowDeleting" msprop:Generator_RowChangingName="employeesRowChanging" msprop:Generator_RowEvHandlerName="employeesRowChangeEventHandler" msprop:Generator_RowDeletedName="employeesRowDeleted" msprop:Generator_UserTableName="employees" msprop:Generator_RowChangedName="employeesRowChanged" msprop:Generator_RowEvArgName="employeesRowChangeEvent" msprop:Generator_RowClassName="employeesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="emp_no" msprop:Generator_ColumnVarNameInTable="columnemp_no" msprop:Generator_ColumnPropNameInRow="emp_no" msprop:Generator_ColumnPropNameInTable="emp_noColumn" msprop:Generator_UserColumnName="emp_no" type="xs:int" />
              <xs:element name="birth_date" msprop:Generator_ColumnVarNameInTable="columnbirth_date" msprop:Generator_ColumnPropNameInRow="birth_date" msprop:Generator_ColumnPropNameInTable="birth_dateColumn" msprop:Generator_UserColumnName="birth_date" type="xs:dateTime" />
              <xs:element name="first_name" msprop:Generator_ColumnVarNameInTable="columnfirst_name" msprop:Generator_ColumnPropNameInRow="first_name" msprop:Generator_ColumnPropNameInTable="first_nameColumn" msprop:Generator_UserColumnName="first_name">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="14" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="last_name" msprop:Generator_ColumnVarNameInTable="columnlast_name" msprop:Generator_ColumnPropNameInRow="last_name" msprop:Generator_ColumnPropNameInTable="last_nameColumn" msprop:Generator_UserColumnName="last_name">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="16" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="gender" msprop:Generator_ColumnVarNameInTable="columngender" msprop:Generator_ColumnPropNameInRow="gender" msprop:Generator_ColumnPropNameInTable="genderColumn" msprop:Generator_UserColumnName="gender">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="hire_date" msprop:Generator_ColumnVarNameInTable="columnhire_date" msprop:Generator_ColumnPropNameInRow="hire_date" msprop:Generator_ColumnPropNameInTable="hire_dateColumn" msprop:Generator_UserColumnName="hire_date" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="salaries" msprop:Generator_TableClassName="salariesDataTable" msprop:Generator_TableVarName="tablesalaries" msprop:Generator_TablePropName="salaries" msprop:Generator_RowDeletingName="salariesRowDeleting" msprop:Generator_RowChangingName="salariesRowChanging" msprop:Generator_RowEvHandlerName="salariesRowChangeEventHandler" msprop:Generator_RowDeletedName="salariesRowDeleted" msprop:Generator_UserTableName="salaries" msprop:Generator_RowChangedName="salariesRowChanged" msprop:Generator_RowEvArgName="salariesRowChangeEvent" msprop:Generator_RowClassName="salariesRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="emp_no" msprop:Generator_ColumnVarNameInTable="columnemp_no" msprop:Generator_ColumnPropNameInRow="emp_no" msprop:Generator_ColumnPropNameInTable="emp_noColumn" msprop:Generator_UserColumnName="emp_no" type="xs:int" />
              <xs:element name="salary" msprop:Generator_ColumnVarNameInTable="columnsalary" msprop:Generator_ColumnPropNameInRow="salary" msprop:Generator_ColumnPropNameInTable="salaryColumn" msprop:Generator_UserColumnName="salary" type="xs:int" />
              <xs:element name="from_date" msprop:Generator_ColumnVarNameInTable="columnfrom_date" msprop:Generator_ColumnPropNameInRow="from_date" msprop:Generator_ColumnPropNameInTable="from_dateColumn" msprop:Generator_UserColumnName="from_date" type="xs:dateTime" />
              <xs:element name="to_date" msprop:Generator_ColumnVarNameInTable="columnto_date" msprop:Generator_ColumnPropNameInRow="to_date" msprop:Generator_ColumnPropNameInTable="to_dateColumn" msprop:Generator_UserColumnName="to_date" type="xs:dateTime" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:departments" />
      <xs:field xpath="mstns:dept_no" />
    </xs:unique>
    <xs:unique name="titles_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:titles" />
      <xs:field xpath="mstns:emp_no" />
      <xs:field xpath="mstns:title" />
      <xs:field xpath="mstns:from_date" />
    </xs:unique>
    <xs:unique name="dept_emp_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:dept_emp" />
      <xs:field xpath="mstns:emp_no" />
      <xs:field xpath="mstns:dept_no" />
    </xs:unique>
    <xs:unique name="dept_manager_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:dept_manager" />
      <xs:field xpath="mstns:dept_no" />
      <xs:field xpath="mstns:emp_no" />
    </xs:unique>
    <xs:unique name="employees_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:employees" />
      <xs:field xpath="mstns:emp_no" />
    </xs:unique>
    <xs:unique name="salaries_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:salaries" />
      <xs:field xpath="mstns:emp_no" />
      <xs:field xpath="mstns:from_date" />
    </xs:unique>
  </xs:element>
</xs:schema>